clang-tools 8.0.0

Classes | Namespaces | Typedefs | Functions
SymbolInfo.cpp File Reference
`#include "SymbolInfo.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/YAMLTraits.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for SymbolInfo.cpp:

Go to the source code of this file.

## Classes
struct | llvm::yaml::MappingTraits< SymbolAndSignals >
struct | llvm::yaml::ScalarEnumerationTraits< ContextType >
struct | llvm::yaml::ScalarEnumerationTraits< SymbolKind >
struct | llvm::yaml::MappingTraits< SymbolInfo::Context >

## Namespaces
| llvm
| Some operations such as code completion produce a set of candidates.
| llvm::yaml
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::find_all_symbols

## Typedefs
using | ContextType = clang::find_all_symbols::SymbolInfo::ContextType
using | SymbolKind = clang::find_all_symbols::SymbolInfo::SymbolKind

## Functions
bool | clang::find_all_symbols::WriteSymbolInfosToStream (llvm::raw_ostream &OS, const SymbolInfo::SignalMap &Symbols)
| Write SymbolInfos to a stream (YAML format). More...
std::vector< SymbolAndSignals > | clang::find_all_symbols::ReadSymbolInfosFromYAML (llvm::StringRef Yaml)
| Read SymbolInfos from a YAML document. More...

## Typedef Documentation

## ◆ ContextType

using ContextType = clang::find_all_symbols::SymbolInfo::ContextType

Definition at line 19 of file SymbolInfo.cpp.

## ◆ SymbolKind

using SymbolKind = clang::find_all_symbols::SymbolInfo::SymbolKind

Definition at line 22 of file SymbolInfo.cpp.